0

I'm trying to run the Arrows plugin on QGIS 2.10 (Win 8.1), but I'm getting an error message:

Traceback (most recent call last): File "C:/.../.qgis2/python/plugins\arrows\arrows.py", line 79, in run_set self.draw_arrows() File "C:/U.../.qgis2/python/plugins\arrows\arrows.py", line 128, in draw_arrows width = attributes[self.conf["arrow_width_field"]] * float(unicode(self.conf["arrow_width_factor"])) TypeError: unsupported operand type(s) for *: 'QPyNullVariant' and 'float'

Can anyone help me out with this? What is going wrong? How can I fix it?

  • By the error msg, it sounds like a data field type issue (not existing or wrong data type). When are you receiving this error, when you load it, when you run it? – artwork21 Nov 16 '15 at 21:35
  • The error occurs when I run the plugin, after selecting the several parameters needed - I've never used this specific plugin before, but I followed as closely as possible the example given by the plugin author. I am not versed in Python programming, so I neeed some really simple explanation of what is the problem and how can I work around it. – TTome Nov 17 '15 at 12:16
  • Anyone else has some input on this problem? – TTome Nov 20 '15 at 13:18

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.